var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");Object.defineProperty(exports,"__esModule",{value:true});exports.injectPluginKotlinSync=exports.parseSplashActivitySync=exports.parseMainActivitySync=exports.parseMainApplicationSync=void 0;var _path=_interopRequireDefault(require("path"));
var _os=_interopRequireDefault(require("os"));
var _fs=_interopRequireDefault(require("fs"));
var _net=_interopRequireDefault(require("net"));
var _chalk=_interopRequireDefault(require("chalk"));
var _shelljs=_interopRequireDefault(require("shelljs"));
var _child_process=_interopRequireDefault(require("child_process"));
var _inquirer=_interopRequireDefault(require("inquirer"));
var _common=require("../../common");




















var _fileutils=require("../../systemTools/fileutils");
var _pluginTools=require("../../pluginTools");

var parseMainApplicationSync=function parseMainApplicationSync(c,platform){
var appFolder=(0,_common.getAppFolder)(c,platform);
var applicationPath='app/src/main/java/rnv/MainApplication.kt';
(0,_common.writeCleanFile)((0,_common.getBuildFilePath)(c,platform,applicationPath),_path.default.join(appFolder,applicationPath),[
{pattern:'{{APPLICATION_ID}}',override:(0,_common.getAppId)(c,platform)},
{pattern:'{{ENTRY_FILE}}',override:(0,_common.getEntryFile)(c,platform)},
{pattern:'{{PLUGIN_IMPORTS}}',override:c.pluginConfig.pluginImports},
{pattern:'{{PLUGIN_PACKAGES}}',override:c.pluginConfig.pluginPackages},
{pattern:'{{PLUGIN_METHODS}}',override:c.pluginConfig.mainApplicationMethods}]);

};exports.parseMainApplicationSync=parseMainApplicationSync;

var parseMainActivitySync=function parseMainActivitySync(c,platform){
var appFolder=(0,_common.getAppFolder)(c,platform);
var activityPath='app/src/main/java/rnv/MainActivity.kt';
(0,_common.writeCleanFile)((0,_common.getBuildFilePath)(c,platform,activityPath),_path.default.join(appFolder,activityPath),[
{pattern:'{{APPLICATION_ID}}',override:(0,_common.getAppId)(c,platform)},
{pattern:'{{PLUGIN_ACTIVITY_IMPORTS}}',override:c.pluginConfig.pluginActivityImports},
{pattern:'{{PLUGIN_ACTIVITY_METHODS}}',override:c.pluginConfig.pluginActivityMethods},
{pattern:'{{PLUGIN_ON_CREATE}}',override:c.pluginConfig.pluginActivityCreateMethods},
{pattern:'{{PLUGIN_ON_ACTIVITY_RESULT}}',override:c.pluginConfig.pluginActivityResultMethods}]);

};exports.parseMainActivitySync=parseMainActivitySync;

var parseSplashActivitySync=function parseSplashActivitySync(c,platform){
var appFolder=(0,_common.getAppFolder)(c,platform);
var splashPath='app/src/main/java/rnv/SplashActivity.kt';
(0,_common.writeCleanFile)((0,_common.getBuildFilePath)(c,platform,splashPath),_path.default.join(appFolder,splashPath),[
{pattern:'{{APPLICATION_ID}}',override:(0,_common.getAppId)(c,platform)}]);

};exports.parseSplashActivitySync=parseSplashActivitySync;

var injectPluginKotlinSync=function injectPluginKotlinSync(c,plugin,key,pkg){
var className=pkg?pkg.split('.').pop():null;
var packageParams='';
if(plugin.packageParams){
packageParams=plugin.packageParams.join(',');
}

var pathFixed=plugin.path?""+plugin.path:"node_modules/"+key+"/android";
var modulePath="../../"+pathFixed;

if(plugin.activityImports instanceof Array){
plugin.activityImports.forEach(function(activityImport){

if(c.pluginConfig.pluginActivityImports.indexOf(activityImport)===-1){
c.pluginConfig.pluginActivityImports+="import "+activityImport+"\n";
}
});
}

if(plugin.activityMethods instanceof Array){
c.pluginConfig.pluginActivityMethods+='\n';
c.pluginConfig.pluginActivityMethods+=""+plugin.activityMethods.join('\n    ');
}

var mainActivity=plugin.mainActivity;
if(mainActivity){
if(mainActivity.createMethods instanceof Array){
c.pluginConfig.pluginActivityCreateMethods+='\n';
c.pluginConfig.pluginActivityCreateMethods+=""+mainActivity.createMethods.join('\n    ');
}

if(mainActivity.resultMethods instanceof Array){
c.pluginConfig.pluginActivityResultMethods+='\n';
c.pluginConfig.pluginActivityResultMethods+=""+mainActivity.resultMethods.join('\n    ');
}

if(mainActivity.imports instanceof Array){
mainActivity.imports.forEach(function(v){
c.pluginConfig.pluginActivityImports+="import "+v+"\n";
});
}

if(mainActivity.methods instanceof Array){
c.pluginConfig.pluginActivityMethods+='\n';
c.pluginConfig.pluginActivityMethods+=""+mainActivity.methods.join('\n    ');
}
}

if(pkg)c.pluginConfig.pluginImports+="import "+pkg+"\n";
if(className)c.pluginConfig.pluginPackages+=className+"("+packageParams+"),\n";

if(plugin.imports){
plugin.imports.forEach(function(v){
c.pluginConfig.pluginImports+="import "+v+"\n";
});
}

if(plugin.mainApplicationMethods){
c.pluginConfig.mainApplicationMethods+="\n"+plugin.mainApplicationMethods+"\n";
}
};exports.injectPluginKotlinSync=injectPluginKotlinSync;